{
    onUpdate(pokemon) {
        if (pokemon.status === "slp") {
            this.add("-activate", pokemon, "ability: Vital Spirit");
            pokemon.cureStatus();
        }
    },
    onSetStatus(status, target, source, effect) {
        if (status.id !== "slp")
            return;
        if (effect?.status) {
            this.add("-immune", target, "[from] ability: Vital Spirit");
        }
        return false;
    },
    onTryAddVolatile(status, target) {
        if (status.id === "yawn") {
            this.add("-immune", target, "[from] ability: Vital Spirit");
            return null;
        }
    },
    onStart(pokemon) {
        this.add('-ability', pokemon, 'Vital Spirit');
    },
    onModifyAtkPriority: 5,
    onModifyAtk(atk, pokemon) {
        if (pokemon.status === 'brn') {
            return this.chainModify(1.5);
        }
    },
    onModifySpe(spe, pokemon) {
        if (pokemon.status === 'par') {
            return this.chainModify(1.5);
        }
    },
    onDamage(damage, target, source, effect) {
        if (effect.id === 'tox' || effect.id === 'psn') {
            return damage / 2;
        }
    },
    onModifySpAPriority: 5,
    onModifySpA(spa, pokemon) {
        if (pokemon.status === 'frz') {
            return this.chainModify(1.5);
        }
    },
    flags: { breakable: 1 },
    name: "Vital Spirit",
    rating: 1.5,
    num: 72
}
